Package org.eclipse.swt.events

# Interface DragDetectListener

public interface DragDetectListener
Classes which implement this interface provide methods that deal with the events that are generated when a drag gesture is detected.

After creating an instance of a class that implements this interface it can be added to a control using the `addDragDetectListener` method and removed using the `removeDragDetectListener` method. When the drag is detected, the drageDetected method will be invoked.

Since:
  1.3
See Also:
  - `DragDetectEvent`

## Method Summary

Modifier and Type
Method
Description
`void`
`dragDetected(DragDetectEvent event)`
Sent when a drag gesture is detected.

## Method Details

### dragDetected

void dragDetected(DragDetectEvent event)
Sent when a drag gesture is detected.

Parameters:
  `event` - an event containing information about the drag